- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.ListSoarDomainsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains/list#body.aspect_1)

**Full name**: projects.locations.instances.soarDomains.list

Lists SoarDomains. Use this method to browse all domains currently recognized as internal within the instance. Supports filtering by display name or associated environments.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/soarDomains`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list SoarDomains for. Format: projects/{project}/locations/{location}/instances/{instance}/soarDomains |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SoarDomains to return. The service may return fewer than this value. If unspecified, at most 50 SoarDomains will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `soarDomains.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of SoarDomains. Supported filter fields: \* `displayName`: Filter by the display name. \* `environments`: Filter by the environments. Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of SoarDomains in the response. If not specified, SoarDomains are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `displayName` \* `environments` example: "displayName desc" |

### Request body

The request body must be empty.

### Response body

Response message for soarDomains.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "soarDomains": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains#SoarDomain`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `soarDomains[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.soarDomains#SoarDomain`)`` The list of SoarDomains. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of SoarDomains includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.soarDomains.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).